Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1050805 - Review Request: glyphicons-halflings-fonts - Precisely prepared monochromatic icons and symbols
Summary: Review Request: glyphicons-halflings-fonts - Precisely prepared monochromatic...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eric Christensen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1010741
TreeView+ depends on / blocked
 
Reported: 2014-01-09 06:21 UTC by Pete Travis
Modified: 2014-03-30 06:04 UTC (History)
5 users (show)

Fixed In Version: glyphicons-halflings-fonts-3.1.0-2.20140211git728067b.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-30 06:04:07 UTC
Type: Bug
sparks: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pete Travis 2014-01-09 06:21:43 UTC
Spec URL: http://immanetize.fedorapeople.org/glyphicons-halflings-fonts.spec
SRPM URL: http://immanetize.fedorapeople.org/glyphicons-halflings-fonts-3.0.3-1.fc21.src.rpm
Description:
GLYPHICONS is a library of precisely prepared monochromatic icons and symbols,
created with an emphasis on simplicity and easy orientation.

Comment 1 Petr Vobornik 2014-01-28 11:44:15 UTC
Some comments (not a proper review):
1. the license is probably not MIT. Bootstrap 3 is under MIT, but Bootstrap has special permission from Glyphicons author to include it, see http://glyphicons.com/license/ Not sure if this is a show-stopper.
2. the only allowed font formats in Fedora are ttf and otf
3. use ttembed tool to change TTF format's embeddable permission to 'installable', otherwise it won't be usable in Internet Explorer (when used on web)
4. font config file is missing
5. I think better source would be https://github.com/twbs/bootstrap/archive/v3.0.3.tar.gz

For #2 and #3 check this thread: https://lists.fedoraproject.org/pipermail/devel/2013-November/192518.html

Comment 2 Pete Travis 2014-01-28 15:12:18 UTC
The licensing statement seems clear to me, but I will ask upstream to make sure they are happy with the situation. I'll work on 2,3,4.

On the source, I don't want to pull in the whole bootstrap tarball, but it would probably better to pull in based on commit hash instead of tag.

Thanks for helping things along, Petr.

Comment 3 Pete Travis 2014-02-12 06:39:19 UTC
Spec URL: http://immanetize.fedorapeople.org/glyphicons-halflings-fonts.spec
SRPM URL: http://immanetize.fedorapeople.org/glyphicons-halflings-fonts-3.1.0-20140211git728067b.1.src.rpm
Description:
GLYPHICONS is a library of precisely prepared monochromatic icons and symbols,
created with an emphasis on simplicity and easy orientation.


-- No response from author.  Remains included in Bootstrap, licensed (MIT) the same as Bootstrap per the author.

-- Only packaging the TTF per #1. I couldn't find references for this restriction, and I'm wondering if at least the SVG file can be included.

-- Using git snapshots for the release. Glyphicons might pace differently from Bootstrap, and this will help reflect that.

-- I looked over fontconfig more thoroughly, and I'm not sure it is well suited for this font package.  I don't know a generic font that could substitute for these glyphs, or where they could substitute for another font. These are unique ideograms, as far as I can tell.

Comment 4 Eric Christensen 2014-03-15 04:22:44 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: Dist tag is present (not strictly required in GL).
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.

fonts:
[!]: Run repo-font-audit on all fonts in package.
     Note: Cannot find repo-font-audit, install fontpackages-tools package to
     make a comprehensive font review.
     See: url: undefined
[!]: Run ttname on all fonts in package.
     Note: Cannot find ttname command, install ttname package to make a
     comprehensive font review.
     See: url: undefined


Rpmlint
-------
Checking: glyphicons-halflings-fonts-3.1.0-20140211git728067b.1.noarch.rpm
          glyphicons-halflings-fonts-3.1.0-20140211git728067b.1.src.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glyphicons-halflings-fonts
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
glyphicons-halflings-fonts (rpmlib, GLIBC filtered):
    fontpackages-filesystem



Provides
--------
glyphicons-halflings-fonts:
    font(glyphiconshalflings)
    glyphicons-halflings-fonts



Source checksums
----------------
https://github.com/twbs/bootstrap/raw/728067b586d2d989c07e8a6265f06fa8631c6b1f/fonts/glyphicons-halflings-regular.ttf :
  CHECKSUM(SHA256) this package     : bd18efd3efd70fec8ad09611a20cdbf99440b2c1d40085c29be036f891d65358
  CHECKSUM(SHA256) upstream package : bd18efd3efd70fec8ad09611a20cdbf99440b2c1d40085c29be036f891d65358
https://github.com/twbs/bootstrap/raw/728067b586d2d989c07e8a6265f06fa8631c6b1f/LICENSE :
  CHECKSUM(SHA256) this package     : 13964e59d8e91ad8b02719bc498917a5ca09673ce24106267cf458c5972bb0fe
  CHECKSUM(SHA256) upstream package : 13964e59d8e91ad8b02719bc498917a5ca09673ce24106267cf458c5972bb0fe


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1050805
Buildroot used: fedora-20-x86_64
Active plugins: Generic, fonts, Shell-api
Disabled plugins: Java, C/C++, Python, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 5 Eric Christensen 2014-03-15 04:24:29 UTC
Approved the review.  All mandatory items pass although there are some tests that are highly recommended for fonts (see EXTRA items at bottom of the review).  It would be a good idea to remedy those issues before pushing to the repos.

Comment 6 Pete Travis 2014-03-16 18:49:03 UTC
New Package SCM Request
=======================
Package Name: glyphicons-halflings-fonts
Short Description: Precisely prepared monochromatic icons and symbols
Owners: immanetize
Branches: f19 f20

Comment 7 Gwyn Ciesla 2014-03-17 11:47:21 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2014-03-19 04:17:29 UTC
glyphicons-halflings-fonts-3.1.0-2.20140211git728067b.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glyphicons-halflings-fonts-3.1.0-2.20140211git728067b.fc20

Comment 9 Fedora Update System 2014-03-20 03:04:56 UTC
glyphicons-halflings-fonts-3.1.0-2.20140211git728067b.fc20 has been pushed to the Fedora 20 testing repository.

Comment 10 Fedora Update System 2014-03-30 06:04:07 UTC
glyphicons-halflings-fonts-3.1.0-2.20140211git728067b.fc20 has been pushed to the Fedora 20 stable repository.


Note You need to log in before you can comment on or make changes to this bug.